#version 150

in  vec4 vPosition;
in  vec4 vNormal;

uniform mat4 p; 
uniform mat4 mv;

out vec4 mvPosition;
out vec3 Normal;

void main() 
{

  //Transform the point
  mvPosition = mv*vPosition;  //Point's position in view space is used often, so keep intermidiate result
  gl_Position = p*mvPosition; 

  //Set up Normal, Light, Eye and Half vectors
  Normal = normalize((mv*vNormal).xyz);
}
